com.hazelcast.monitor

## Interface LocalMapStats

- All Superinterfaces:
    com.hazelcast.internal.management.JsonSerializable, LocalInstanceStats
  All Known Subinterfaces:
    LocalMultiMapStats, LocalReplicatedMapStats

      public interface LocalMapStats
      extends LocalInstanceStats

  Local map statistics to be used by `MemberState` implementations.

  As `IMap` is a partitioned data structure in Hazelcast, each member owns a fraction of the total number of entries of a distributed map.

  Depending on the `IMap`'s configuration, each member may also hold backup entries of other members. LocalMapStats provides the count of owned and backup entries besides their size in memory.

- - ### Field Summary

    - ### Fields inherited from interface com.hazelcast.monitor.LocalInstanceStats

      `STAT_NOT_AVAILABLE`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getBackupCount()` Returns the number of backups per entry.
    `long` | `getBackupEntryCount()` Returns the number of backup entries hold by this member.
    `long` | `getBackupEntryMemoryCost()` Returns memory cost (number of bytes) of backup entries in this member.
    `long` | `getCreationTime()` Returns the creation time of this map on this member.
    `long` | `getDirtyEntryCount()` Returns the number of entries that the member owns and are dirty (updated but not persisted yet).
    `long` | `getEventOperationCount()` Returns the number of Events Received
    `long` | `getGetOperationCount()` Returns the number of get operations
    `long` | `getHeapCost()` Cost of map & Near Cache & backup & Merkle trees in bytes
    `long` | `getHits()` Returns the number of hits (reads) of locally owned entries, including those which are no longer in the map (for example, may have been evicted).
    `long` | `getIndexedQueryCount()` Returns the total number of indexed queries performed on the map.
    `Map<String,LocalIndexStats>` | `getIndexStats()` Returns the per-index statistics map keyed by the index name.
    `long` | `getLastAccessTime()` Returns the last access (read) time of the locally owned entries.
    `long` | `getLastUpdateTime()` Returns the last update time of the locally owned entries.
    `long` | `getLockedEntryCount()` Returns the number of currently locked keys.
    `long` | `getMaxGetLatency()` Returns the maximum latency of get operations.
    `long` | `getMaxPutLatency()` Returns the maximum latency of put operations.
    `long` | `getMaxRemoveLatency()` Returns the maximum latency of remove operations.
    `long` | `getMerkleTreesCost()` Returns the heap cost of the Merkle trees
    `NearCacheStats` | `getNearCacheStats()` Returns statistics related to the Near Cache.
    `long` | `getOtherOperationCount()` Returns the total number of Other Operations
    `long` | `getOwnedEntryCount()` Returns the number of entries owned by this member.
    `long` | `getOwnedEntryMemoryCost()` Returns memory cost (number of bytes) of owned entries in this member.
    `long` | `getPutOperationCount()` Returns the number of put operations
    `long` | `getQueryCount()` Returns the total number of queries performed on the map.
    `long` | `getRemoveOperationCount()` Returns the number of Remove operations
    `long` | `getTotalGetLatency()` Returns the total latency of get operations.
    `long` | `getTotalPutLatency()` Returns the total latency of put operations.
    `long` | `getTotalRemoveLatency()` Returns the total latency of remove operations.
    `long` | `total()` Returns the total number of total operations

    - ### Methods inherited from interface com.hazelcast.internal.management.JsonSerializable

      `fromJson, toJson`

- - ### Method Detail

    - #### getOwnedEntryCount

          long getOwnedEntryCount()

      Returns the number of entries owned by this member.
      Returns:
        number of entries owned by this member.

    - #### getBackupEntryCount

          long getBackupEntryCount()

      Returns the number of backup entries hold by this member.
      Returns:
        number of backup entries hold by this member.

    - #### getBackupCount

          int getBackupCount()

      Returns the number of backups per entry.
      Returns:
        the number of backups per entry.

    - #### getOwnedEntryMemoryCost

          long getOwnedEntryMemoryCost()

      Returns memory cost (number of bytes) of owned entries in this member.
      Returns:
        memory cost (number of bytes) of owned entries in this member.

    - #### getBackupEntryMemoryCost

          long getBackupEntryMemoryCost()

      Returns memory cost (number of bytes) of backup entries in this member.
      Returns:
        memory cost (number of bytes) of backup entries in this member.

    - #### getCreationTime

          long getCreationTime()

      Returns the creation time of this map on this member.
      Specified by:
        `getCreationTime` in interface `LocalInstanceStats`
      Returns:
        creation time of this map on this member.

    - #### getLastAccessTime

          long getLastAccessTime()

      Returns the last access (read) time of the locally owned entries.
      Returns:
        last access (read) time of the locally owned entries.

    - #### getLastUpdateTime

          long getLastUpdateTime()

      Returns the last update time of the locally owned entries.
      Returns:
        last update time of the locally owned entries.

    - #### getHits

          long getHits()

      Returns the number of hits (reads) of locally owned entries, including those which are no longer in the map (for example, may have been evicted).

      The number of hits may be inaccurate after a partition is migrated to a new owner member.

      Returns:
        number of hits (reads) of the locally owned entries.

    - #### getLockedEntryCount

          long getLockedEntryCount()

      Returns the number of currently locked keys. The returned count includes locks on keys whether or not they are present in the map, since it is allowed to lock on keys that are not present.
      Returns:
        number of locked entries.

    - #### getDirtyEntryCount

          long getDirtyEntryCount()

      Returns the number of entries that the member owns and are dirty (updated but not persisted yet). dirty entry count is meaningful when there is a persistence defined.
      Returns:
        the number of dirty entries that the member owns

    - #### getPutOperationCount

          long getPutOperationCount()

      Returns the number of put operations
      Returns:
        number of put operations

    - #### getGetOperationCount

          long getGetOperationCount()

      Returns the number of get operations
      Returns:
        number of get operations

    - #### getRemoveOperationCount

          long getRemoveOperationCount()

      Returns the number of Remove operations
      Returns:
        number of remove operations

    - #### getTotalPutLatency

          long getTotalPutLatency()

      Returns the total latency of put operations. To get the average latency, divide by the number of puts
      Returns:
        the total latency of put operations

    - #### getTotalGetLatency

          long getTotalGetLatency()

      Returns the total latency of get operations. To get the average latency, divide by the number of gets
      Returns:
        the total latency of get operations

    - #### getTotalRemoveLatency

          long getTotalRemoveLatency()

      Returns the total latency of remove operations. To get the average latency, divide by the number of gets
      Returns:
        the total latency of remove operations

    - #### getMaxPutLatency

          long getMaxPutLatency()

      Returns the maximum latency of put operations.
      Returns:
        the maximum latency of put operations

    - #### getMaxGetLatency

          long getMaxGetLatency()

      Returns the maximum latency of get operations.
      Returns:
        the maximum latency of get operations

    - #### getMaxRemoveLatency

          long getMaxRemoveLatency()

      Returns the maximum latency of remove operations.
      Returns:
        the maximum latency of remove operations

    - #### getEventOperationCount

          long getEventOperationCount()

      Returns the number of Events Received
      Returns:
        number of events received

    - #### getOtherOperationCount

          long getOtherOperationCount()

      Returns the total number of Other Operations
      Returns:
        number of other operations

    - #### total

          long total()

      Returns the total number of total operations
      Returns:
        number of total operations

    - #### getHeapCost

          long getHeapCost()

      Cost of map & Near Cache & backup & Merkle trees in bytes

      When `InMemoryFormat.OBJECT` is used, the heapcost is zero.

      Returns:
        heap cost

    - #### getMerkleTreesCost

          long getMerkleTreesCost()

      Returns the heap cost of the Merkle trees
      Returns:
        the heap cost of the Merkle trees

    - #### getNearCacheStats

          NearCacheStats getNearCacheStats()

      Returns statistics related to the Near Cache.
      Returns:
        statistics object for the Near Cache

    - #### getQueryCount

          long getQueryCount()

      Returns the total number of queries performed on the map.

      The returned value includes queries processed with and without indexes.

      See Also:
        `getIndexedQueryCount()`

    - #### getIndexedQueryCount

          long getIndexedQueryCount()

      Returns the total number of indexed queries performed on the map.

      The returned value includes only queries processed using indexes. If there are no indexes associated with the map, the returned value is `0`.

      See Also:
        `getQueryCount()`

    - #### getIndexStats

          Map<String,LocalIndexStats> getIndexStats()

      Returns the per-index statistics map keyed by the index name.

Copyright © 2020. All rights reserved.